html,
body {
    width: 100%;
    height: 100%;
}

.root {
    min-height: 100%;
    width: 100%;
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: column;
    background: $dark;

    &--base {
        background: url("../img/bg__sm.webp") 50% 50% no-repeat;
        background-size: cover;
    }

    &--auth {
        background: $dark;
    }

    &--backoffice {
        background: $dark;
    }

    &--mystery {
        background: $dark url("../img/mystery__bg.webp") 0 100% no-repeat;
        background-size: cover;
    }

    &--team {
        background: $dark url("../img/team__bg.webp") 50% 100% no-repeat;
        background-size: cover;
    }

    @include media-breakpoint-up(md) {

        &--auth {
            background: url("../img/auth__bg.webp") 60% 100% no-repeat;
            background-size: cover;
        }

        &--backoffice {
            background: url("../img/auth__bg.webp") 53% 100% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(lg) {

        &--base {
            background: url("../img/bg__lg.webp") 50% 50% no-repeat;
            background-size: cover;
        }

        &--auth {
            background: url("../img/auth__bg.webp") 30% 50% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(xl) {

        &--auth {
            background: url("../img/auth__bg.webp") 50% 50% no-repeat;
            background-size: cover;
        }

        &--backoffice {
            background: url("../img/auth__bg.webp") 50% 50% no-repeat;
            background-size: cover;
        }
    }
}

.main {
    flex-grow: 1;

    &--center {
        display: flex;
        flex-direction: column;
    }

    &--content {
        padding-top: rem(100);
        padding-bottom: rem(50);
    }

    &__wrap {
        margin:  auto 0;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        flex-direction: column;

        &--content {
            padding-top: rem(130);
            padding-bottom: rem(70);
        }
    }
}

.container {
    margin: 0 auto;
    padding: 0 rem(15);
    max-width: rem(1240);

    @include media-breakpoint-up(md) {
        padding: 0 rem(30);
    }
}

.container-fluid {
    margin: 0 auto;
    padding: 0 rem(15);
    max-width: rem(1860);

    @include media-breakpoint-up(md) {
        padding: 0 rem(30);
    }
}

.swiper {
    width: 100%;
    height: 100%;
}

.form-content {

    @include media-breakpoint-up(sm) {
        width: rem(338);
    }


    @include media-breakpoint-up(xl) {
        width: rem(370);
    }
}

.form-block {

    &__header {
        margin-bottom: rem(14);
    }



    &__footer {
        padding-top: rem(15);

        .btn {
            min-width: rem(170);
        }
    }

    &__row {
        display: flex;
        align-items: center;
    }

    &__forgot {
        padding-left: rem(40);
    }

    @include media-breakpoint-up(md) {

        &__header {
            margin-bottom: rem(20);
        }

        &__footer {
            padding-top: rem(20);
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            margin-bottom: rem(25);
        }
    }
}

[data-form-auth] {
    display: none;
}

[data-form-forgot] {
    display: none;
}

.form-switch {
    position: relative;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        position: absolute;
        background: linear-gradient(180deg, rgba(144, 0, 255, 0) 0%, #9000FF 100%);
        opacity: 0.25;
    }

    &__wrap {
        z-index: 10;
        color: $white;
        position: relative;
        font-size: rem(15);
        line-height: rem(20);
        height: rem(65);
        padding-left: rem(28);
        padding-right: rem(12);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__toggle {
        transition: .3s;

    }

    &--auth {

        .form-switch {

            &__reg {
                opacity: 0;
                visibility: hidden;
                transition: .3s;
            }

            &__login {
                opacity: 1;
                visibility: visible;
                transition: .3s;
            }
        }
    }

    &__reg {
        z-index: 10;
        opacity: 1;
        visibility: visible;
        position: relative;
        transition: .3s;
    }

    &__login {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 10;
        position: absolute;
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    @include media-breakpoint-up(sm) {
        width: rem(338);
    }
}

.float {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 700;
    overflow-y: auto;
    position: fixed;
    transition: .6s;
    transform: translateY(100%);
    background: rgba(144, 0, 255, 0.2);

    &.open {
        transition: .6s;
        transform: translateY(0%);
    }

    &__bg {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
    //    -webkit-backdrop-filter: blur(8px);
        backdrop-filter: blur(8px);
        filter:blur(8px);
        -webkit-filter:blur(8px);
    }

    &__body {
        z-index: 50;
        width: 100%;
        height: 100%;
        padding: rem(20) 0;
        overflow-y: auto;
        overflow-x: hidden;
        position: relative;
        display: flex;
        flex-direction: column;
    }

    &__inner {
        margin: auto 0;
    }

    &__top {
        margin-bottom: rem(12);
    }

    &__title {
        margin-bottom: rem(6);
    }

    &__swipe {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        display: inline-block;
        stroke: $white;
    }

    &__close {
        width: rem(38);
        margin: 0 auto rem(10) auto;
    }

    &__primary {
        margin: 0 auto;
        max-width: rem(346);
        position: relative;
        padding: rem(50) 0;

        &:before {
            top: 0;
            bottom: 0;
            left: rem(-50);
            right: rem(-50);
            z-index: 1;
            content: '';
            opacity: 0.3;
            border-radius: 50%;
            position: absolute;
            background: url("../img/rounded.svg") 50% 50% no-repeat;
            background-size: cover;
            animation-name: rotation;
            animation-duration: 60s;
            animation-iteration-count: infinite;
            animation-timing-function: linear;
        }
    }

    &__slider {
        z-index: 20;
        border-radius: 50%;
        overflow: hidden;
        position: relative;
    }

    &__nav {
        z-index: 100;
        position: absolute;

        &--prev {
            left: 0;
            bottom: rem(42);
        }

        &--next {
            right: 0;
            top: rem(42);
        }
    }

    &__secondary {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__top {
            margin-bottom: rem(64);
            display: flex;
            align-items: center;
            flex-direction: row-reverse;
            justify-content: space-between;
        }

        &__bg {
        }

        &__header {
            margin: 0;
            display: flex;
            align-items: center;
        }

        &__title {
            margin: 0 rem(25) 0 0;
        }

        &__swipe {
            top: rem(2);
            height: rem(24);
            position: relative;
        }

        &__close {
            margin: 0;
            width: auto;
        }

        &__primary {
            width: rem(590);
            padding: rem(68);
            max-width: inherit;

            &:before {
                left: 0;
                right: 0;
            }
        }

        &__nav {

            &--prev {
                left: rem(37);
                bottom: rem(86);
            }

            &--next {
                top: rem(86);
                right: rem(37);
            }
        }

        &__secondary {
            padding-top: rem(74);
            display: flex;
            justify-content: center;
        }

        &__preview {
            display: flex;
            justify-content: center;
        }
    }

    @include media-breakpoint-up(lg) {

        &__body {
            padding-top: rem(40);
        }

        &__top {
            margin-bottom: rem(20);
        }

        &__main {
            display: flex;
            justify-content: space-between;
        }

        &__primary {
            margin: 0;
            flex-shrink: 0;
        }

        &__secondary {
            padding-top: 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__body {
           padding-top: 0;
        }

        &__top {
            margin-bottom: rem(52);
        }

        &__main {
            justify-content: flex-start;
        }

        &__secondary {
            margin-left: rem(176);
        }
    }
}

.influencer {
    overflow: hidden;
    position: relative;
    border-radius: 50%;

    &:before {
        top: 0;
        left: 0;
        z-index: 5;
        width: 100%;
        height: 100%;
        content: '';
        overflow: hidden;
        border-radius: 50%;
        position: absolute;
        background: #9000FF;
        filter: blur(113.898px);
        transform: translateY(50%);
    }

    &__image {
        z-index: 1;
        position: relative;
    }

    &__shadow {

    }

    &__content {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 50;
        color: $white;
        text-align: center;
        position: absolute;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(20);
        padding: 0 rem(64) rem(25) rem(64);
    }

    &__name {
        font-weight: 500;
        font-size: rem(22);
        line-height: rem(32);
        margin-bottom: rem(5);
    }

    @include media-breakpoint-up(md) {

        &__content {
            font-size: rem(16);
            line-height: rem(24);
            padding-bottom: rem(40);
        }

        &__name {
            font-size: rem(28);
            line-height: rem(40);
        }

        &__text {
            width: rem(256);
            margin: 0 auto;
        }
    }
}

.influencer-preview {
    cursor: pointer;
    width: rem(100);
    height: rem(100);
    margin: 0 rem(10);
    position: relative;
    border-radius: 50%;
    display: block;
    color: $white;
    text-decoration: none;

    &.active {

        &:before {
            top: rem(-8);
            left: rem(-8);
            right: rem(-8);
            bottom: rem(-8);
            z-index: 1;
            content: '';
            border-radius: 50%;
            position: absolute;
            border: 2px solid $violet;
            transition: .3s;

        }

        &:hover {

            &:before {
                border-color: $white;
                transition: .3s;
            }
        }
    }

    &__image {
        z-index: 10;
        width: rem(100);
        height: rem(100);
        overflow: hidden;
        position: relative;
        border-radius: 50%;
    }

    &__border {
        z-index: 10;
        width: rem(100);
        height: rem(100);
        position: relative;
        border-radius: 50%;
        text-align: center;
        border: 1px dashed $white;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__text {
        font-weight: 800;
        font-size: rem(12);
        line-height: rem(14);
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }
}

.page {
    z-index: 10;
    position: relative;

    .container,
    .container-fluid {
        z-index: 10;
        position: relative;
    }
}

.mystery-pattern {
    display: none;

    @include media-breakpoint-up(md) {
        left: 0;
        bottom: 0;
        z-index: 1;
        display: block;
        width: rem(211);
        position: absolute;
    }

    @media (min-width: 1250px) and (min-height: $height) {
        width: rem(543);
        height: rem(500);
        overflow: hidden;

        &__wrap {
            width: 100%;
        }
    }
}

.mystery {
    position: relative;
    padding-top: rem(100);
    padding-bottom: rem(40);

    &__header {
        margin-bottom: rem(15);
    }

    &__text {
        font-size: rem(15);
        line-height: rem(24);
        color: rgba(255,255,255,0.8);
    }

    &__info {
        margin-bottom: rem(20);
    }

    &__media {
        position: relative;

        &:after,
        &:before {
            top: 0;
            bottom: 0;
            width: rem(240);
            z-index: 10;
            content: '';
            display: block;
            position: absolute;
        }

        &:after {
            left: rem(-20);
            background: linear-gradient(90deg, rgba(17,16,16,1) 0%, rgba(17,16,16,0) 100%);

        }

        &:before {
            right: rem(-20);
            background: linear-gradient(90deg, rgba(17,16,16,0) 0%, rgba(17,16,16,1) 100%);

        }
    }

    &__gallery {
        margin: 0 auto;
        max-width: rem(336);
        padding: rem(12) 0;
        position: relative;

        &:after,
        &:before {
            z-index: 1;
            left: calc(50% - 128px);
            content: '';
            height: 6px;
            width: 255px;
            position: absolute;
            background: url("../img/gallery_frame_horizontal.svg") 50% 50% no-repeat;
        }

        &:after {
            top: 0;
        }

        &:before {
            bottom: 0;
        }

        .swiper {
            overflow: visible;
        }

        .swiper-wrapper {
            transition-timing-function: linear;
        }

        .swiper-slide {
            width: rem(172);
            padding-right: rem(8);
        }
    }

    &__thumb {
        height: rem(116);
        position: relative;
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: cover;
    }

    &__data {
        text-align: center;

        &--base {
            display: block;
        }

        &--checkout {
            display: none;
            padding-top: rem(20);
        }
    }

    &__box {
        z-index: 20;
        width: rem(272px);
        position: relative;
        margin: rem(-98) auto rem(10) auto;
    }

    &__price {
        white-space: nowrap;
        margin-bottom: rem(15);
        display: flex;
        align-items: flex-start;
        justify-content: center;

        &--label {
            padding-top: rem(10);
            font-weight: 800;
            font-size: rem(12);
            line-height: rem(14);
            margin-right: rem(18);
            letter-spacing: 0.14rem;
            font-family: $font-family-secondary;
        }

        &--value {
            color: $violet;
            font-weight: 400;
            font-size: rem(46);
            line-height: rem(50)
        }
    }

    &__button {
        width: rem(224);
        margin: 0 auto;

        .btn {
            width: 100%;
        }
    }

    &__label {
        font-weight: 800;
        font-size: rem(12);
        line-height: rem(14);
        text-align: center;
        margin-bottom: rem(4);
        letter-spacing: 0.14rem;
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    &__address {
        font-weight: 700;
        font-size: rem(15);
        line-height: rem(28);
    }

    &__value {
        font-size: rem(15);
        line-height: rem(24);
        color: rgba(255,255,258,0.8);
    }

    &__divider {
        width: rem(48);
        height: rem(1);
        background: $violet;
        margin: rem(20) auto;
    }

    &__text {
        margin-bottom: rem(30);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(156);

        &__media {
            top: rem(285);
            bottom: 0;
            right: rem(-30);
            width: rem(296);
            position: absolute;

            &:after,
            &:before {
                left: rem(33);
                right: auto;
                top: auto;
                bottom: auto;
                width: rem(230);
                height: rem(476);
                z-index: 10;
                content: '';
                display: block;
                position: absolute;
            }


            &:after {
                top: 0;
                background: linear-gradient(180deg, rgba(17,16,16,1) 0%, rgba(17,16,16,0) 100%);

            }

            &:before {
                bottom: 0;
                background: linear-gradient(180deg, rgba(17,16,16,0) 0%, rgba(17,16,16,1) 100%);

            }
        }

        &__gallery {
            max-height: 100%;
            position: relative;
            padding: 0 rem(33);

            .swiper {
                overflow: hidden;
                max-height: calc(100vh - 285px);
            }

            .swiper-slide {
                width: 100%;
                height: rem(340);
                padding-right: 0;
                padding-bottom: rem(15);
            }

            &:after,
            &:before {
                top: 0;
                bottom: 0;
                height: auto;
                width: 20px;
                background: url("../img/gallery_frame_vertical.svg") 50% 0 repeat-y;
            }

            &:after {
                left: 0;
                right: auto;
            }

            &:before {
                right: 0;
                left: auto;
            }
        }

        &__thumb {
            width: rem(230);
            height: rem(325);
        }

        &__box {
            margin-top: 0;
            width: rem(322px);
            margin-bottom: rem(32);
        }

        &__content {
            width: calc(100% - 18rem);
        }

        &__info {
            margin-bottom: rem(40);
        }

        &__data {

            &--checkout {
                padding-top: 0;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            right: rem(-20);

            &:after,
            &:before {
                height: rem(220);
            }
        }

        &__info {
            margin-bottom: rem(50);
        }

        &__content {
            display: flex;
            align-items: flex-end;
        }

        &__box {
            width: rem(294);
            margin: 0 rem(60) 0 rem(50);
        }

        &__gallery {

            .swiper-slide {
                height: rem(222);
                padding-bottom: rem(10);
            }
        }

        &__thumb {
            width: 100%;
            height: rem(212);
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            display: flex;
            padding-right: rem(460);
        }

        &__info {
            width: rem(386);
            flex-shrink: 0;
        }

        &__header {
            margin-bottom: rem(40);
        }

        &__text {
            font-size: rem(18);
            line-height: rem(28);
        }

        &__content {
            display: block;
            flex-grow: 1;
        }

        &__media {
            top: 0;
            padding: 0;
            height: 100vh;
            right: rem(-30);
            width: rem(460);

            &:after,
            &:before {
                left: rem(40);
                right: rem(40);
                height: 55%;
                width: auto;
            }
        }

        &__gallery {
            width: 100%;
            height: 100vh;
            padding: 0 rem(40);
            max-width: inherit;

            .swiper {
                max-height: 100vh;
            }

            .swiper-slide {
                height: rem(446);
                padding-bottom: rem(20);
            }
        }

        &__thumb {
            height: rem(426);
        }

        &__box {
            margin: 0 auto rem(30) auto;
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {
        padding-top: rem(160);

        &__main {
            margin: auto 0;
            padding-right: rem(506);
        }

        &__box {
            width: rem(364);
            padding-top: rem(40);
            margin-bottom: rem(40);
        }

        &__media {
            width: rem(506);
        }
    }

    @media (min-width: 1250px) and (min-height: 1200px) {
        display: flex;
        flex-direction: column;

        &__data {
            min-height: rem(240);
        }
    }
}

.mystery-box {
    left: rem(12);
    top: rem(17);
    z-index: 10;
    width: rem(238px);
    position: absolute;

    &__cube {
        z-index: 30;
        position: relative;
        animation: moveRound  4s infinite ease-in-out;
    }

    &__layout {
        z-index: 30;
        position: relative;
    }

    &__top,
    &__left,
    &__center {
        top: 0;
        left: 0;
        z-index: 25;
        width: 100%;
        height: 100%;
        position: absolute;
    }

    &__inside {
        z-index: 20;
        top: rem(-24);
        left: rem(-13);
        width: rem(270);
        position: absolute;
    }

    &__round {
        top: rem(-24);
        left: rem(-66);
        z-index: 40;
        width: rem(334);
        position: absolute;
        animation: moveRound  4s infinite ease-in-out;
        opacity: 1;
        visibility: visible;
        transition: .4s;
    }

    @include media-breakpoint-up(md) {
        left: rem(14);
        width: rem(294px);

        &__inside {
            top: rem(-30);
            left: rem(-20);
            width: rem(334);
        }

        &__round {
            top: rem(-30);
            right: rem(-80);
            width: rem(412);
        }
    }

    @include media-breakpoint-up(lg) {
        top: 0;
        left: 0;
    }

    @include media-breakpoint-up(xl) {

    }


    @media (min-width: 1250px) and (min-height: $height) {
        width: rem(364);
        top: rem(40);

        &__inside {
            top: rem(-38);
            left: rem(-20);
            width: rem(415);
        }

        &__round {
            top: rem(-38);
            left: rem(-100);
            width: rem(512);
        }
    }
}

.mystery-item {
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    position: relative;

    &__image {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        position: absolute;
        transform: scale(0.1);
        transition: .5s;
    }
}

.color-violet {
    color: $violet !important;
}

.pay-item {
    width: rem(122);
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    font-weight: 400;
    position: relative;
    display: inline-block;
    flex-shrink: 0;

    &__input {
        @include visually-hidden();
    }

    i {
        display: block;
        font-weight: 400;
    }

    &__logo {
        border: 1px solid rgba(17, 16, 16, 0.15);
        margin-bottom: rem(8);
    }

    &__check {
        width: rem(16);
        height: rem(16);
        margin: 0 auto;
        display: block;
        position: relative;
        border-radius: 50%;
        border: 1px solid rgba(17, 16, 16, 0.15);

        &:after {
            top: 0;
            left : 0;
            z-index: 5;
            content : '';
            opacity: 1;
            height : rem(14);
            width : rem(14);
            position : absolute;
            border-radius : 50%;
            background: url("../img/check.svg") 50% 50% no-repeat;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }
    }

    input:checked + .pay-item__content {

        .pay-item {

            &__logo {
                border-color: $violet;
            }

            &__check {
                background: $violet;
                border-color: $violet;

                &::after {
                    opacity: 1;
                }
            }
        }
    }
}

.successfully {

    .mystery-box11 {
   //     opacity: 0;
   //     visibility: hidden;


        &__top {
            transform: translate(1200px,-800px) scale(3) rotate(-90deg);
            opacity: 0;
            transition: 1.2s;
            animation: cubeOpacity  0.8s ease-in-out;
        }

        &__left {
            transform: translate(-1200px,1200px) scale(3) rotate(90deg);
            opacity: 0;
            transition: 1.2s;
            animation: cubeOpacity  0.8s ease-in-out;
        }

        &__center {
            transform: translate(1200px,1200px) scale(3) rotate(90deg);
            opacity: 0;
            transition: 1.2s;
            animation: cubeOpacity  0.8s ease-in-out;
        }
    }

    .mystery-box {

        &__top {
            animation: sideTop  2s forwards ease-in-out;
        }

        &__left {
            animation: sideLeft  2s forwards ease-in-out;
        }

        &__center {
            animation: sideCenter  2s forwards ease-in-out;
        }

        &__inside {
            animation: cubeInside  2s forwards ease-in-out;
        }

        &__round {
            opacity: 0;
            visibility: hidden;
            transition: .4s;
        }
    }

    .mystery-item {
        opacity: 1;
        visibility: visible;

        &__image {
            animation: mysteryItem  2s forwards ease-in-out;
        }
    }

    .mystery__data--base {
        display: none;
    }

    .mystery__data--checkout {
        display: block;
        animation: mysteryDataVisible  2.5s forwards ease-in-out;
    }
}

.font-weight-700 {
    font-weight: 700;
}

.list-link {

    li {
        margin-bottom: rem(8);

        a {
            color: $white !important;
        }
    }
}

.page-main {

}

.team {
    position: relative;
    padding-top: rem(100);
    display: flex;
    flex-direction: column;

    &__top {
        z-index: 50;
        flex-grow: 1;
        position: relative;
    }

    &__header {
        display: flex;
        align-items: flex-start;
        margin-bottom: rem(15);

        &--title {
            margin-bottom: 0;
        }

        &--ver {
            top: rem(4);
            opacity: 0.2;
            margin-left: rem(4);
            font-weight: 700;
            font-size: rem(12);
            line-height: rem(16);
            letter-spacing: 0.15em;
            position: relative;
            text-transform: uppercase;
            font-family: $font-family-secondary;
        }
    }

    &__media {
        z-index: 10;
        position: relative;
    }

    &__shadow {
        left: 0;
        bottom: 0;
        z-index: 20;
        width: 100%;
        height: 100%;
        position: absolute;
        background: url("../img/team__shadow_sm.webp") 50% 100% no-repeat;
        background-size: cover;
    }

    &__main {
        z-index: 30;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;

        .swiper-slide {

            .team__item {
                opacity: 0;
            }
        }

        .swiper-slide-active {

            .team__item {
                opacity: 1;
            }
        }
    }

    &__slider {
        z-index: 10;
        margin: 0 auto;
        position: relative;
        max-width: rem(320);
    }

    &__nav {
        left: 0;
        z-index: 100;
        top: rem(80);
        width: rem(94);
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__social {
        z-index: 50;
        right: 0;
        top: rem(170);
        width: rem(50);
        position: absolute;
    }

    &__item {
        position: relative;
    }

    &__content {
        left: 0;
        right: 0;
        bottom: rem(50);
        text-align: center;
        position: absolute;
        font-size: rem(14);
        line-height: rem(20);
    }

    &__name {
        font-weight: 500;
        font-size: rem(24);
        line-height: rem(35);
        margin-bottom: rem(8);
    }

    &__text {
        opacity: 0.8;
        margin: 0 auto;
        max-width: rem(270);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(156);
        display: block;

        &__header {

            &--ver {
                top: rem(8);
                font-size: rem(15);
                line-height: rem(18);
            }
        }

        &__slider {
            width: rem(462);
            max-width: inherit;
        }

        &__nav {
            left: rem(-48);
            top: rem(162);
            width: rem(108);
        }

        &__content {
            bottom: rem(80);
            font-size: rem(16);
            line-height: rem(24);
        }

        &__name {
            font-size: rem(32);
            line-height: rem(47);
        }

        &__text {
            width: rem(336);
            max-width: inherit;
        }

        &__social {
            top: rem(286);
            right: rem(10);
            width: rem(54);
        }

        &__shadow {
            left: calc(50% - 960px);
            bottom: 0;
            z-index: 20;
            width: 1920px;
            height: 970px;
            position: absolute;
            background: url("../img/team__shadow_md.webp") 50% 100% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            left: 0;
            right: 0;
            bottom: 0;
            position: absolute;
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            width: rem(130);
            left: rem(-80);
            top: rem(240);
        }

        &__header {

            &--ver {
                top: rem(8);
                font-size: rem(20);
                line-height: rem(24);
            }
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {
        padding-top: rem(160);

        &__header {
            margin-bottom: rem(25);
        }

        &__slider {
            width: rem(580);
        }

        &__shadow {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            width: auto;
            height: auto;
        }

        &__nav {
            left: rem(-56);
            top: rem(200);
        }

        &__social {
            right: rem(12);
            top: rem(360);
            width: rem(68);
        }

        &__content {
            bottom: rem(102);
            font-size: rem(18);
            line-height: rem(28);
        }

        &__name {
            font-size: rem(42);
            line-height: rem(62);
            margin-bottom: rem(10);
        }

        &__text {
            width: rem(376);
        }
    }
}

.team-media {
    position: relative;

    &:after,
    &:before {
        z-index: 1;
        content: '';
        opacity: 0.3;
        display: block;
        border-radius: 50%;
        position: absolute;
    //    border: 1px dashed $white;
    }

    &:after {
        left: calc(50% - 212px);
        top: rem(40);
        width: rem(424);
        height: rem(424);
        background: url("../img/ellipse__1.svg") 50% 50% no-repeat;
        background-size: cover;
        animation-name: rotation;
        animation-duration: 70s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
    }

    &:before {
        left: calc(50% - 194px);
        top: rem(56);
        width: rem(388);
        height: rem(388);
        background: url("../img/ellipse__2.svg") 50% 50% no-repeat;
        background-size: cover;
        animation-name: rotationInvert;
        animation-duration: 80s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
    }

    &__slider {
        z-index: 10;
        margin: 0 auto;
        position: relative;
        max-width: rem(320);
    }

    @include media-breakpoint-up(md) {

        &:after {
            top: rem(50);
            left: calc(50% - 283px);
            width: rem(566);
            height: rem(566)
        }

        &:before {
            top: rem(76);
            left: calc(50% - 261px);
            width: rem(522);
            height: rem(522)
        }

        &__slider {
            width: rem(462);
            max-width: inherit;
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            opacity: 0.8;
            bottom: rem(-100);
            transform: scale(0.75);
            position: relative;
            transition: .3s;
            filter: grayscale(90%);
        }

        .swiper-slide-active {

            .team-media__item {
                opacity: 1;
                bottom: 0;
                transform: scale(1);
                filter: grayscale(0%);
                transition: .3s;
            }
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {

        &:after {
            top: rem(70);
            left: calc(50% - 356px);
            width: rem(712);
            height: rem(712)
        }

        &:before {
            top: rem(96);
            left: calc(50% - 328px);
            width: rem(656);
            height: rem(656)
        }

        &__slider {
            width: rem(580);
        }
    }
}

.team-social {
    width: rem(50);
    height: rem(50);
    border-radius: 50%;
    background: $white;
    fill: $black;
    color: $black;
    margin-bottom: rem(10);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: rem(14);
    line-height: rem(14);
    text-transform: uppercase;
    font-family: $font-family-secondary;

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(18);
        display: inline-block;
    }

    &__counter {
        display: block;
    }

    @include media-breakpoint-up(md) {
        width: rem(54);
        height: rem(54);
    }

    @media (min-width: 1250px) and (min-height: $height) {
        width: rem(68);
        height: rem(68);
        font-size: rem(18);
        line-height: rem(18);
        margin-bottom: rem(15);

        &__icon {
            height: rem(24);
        }
    }
}

[data-team-photos] {
    overflow: visible;
}

[data-team-content] {
    overflow: visible;
}

.backoffice {
    padding-top: rem(120);
    padding-bottom: rem(40);

    &__top {
        margin-bottom: rem(25);
    }

    &__header {
        margin-bottom: rem(10);
    }

    &__user {
        font-weight: 400;
        font-size: rem(18);
        line-height: rem(26);
    }

    &__num {
        font-weight: 800;
        font-size: rem(12);
        line-height: rem(14);
        letter-spacing: 0.14rem;
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    &__address {
        color: $white;
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(24);
        white-space: nowrap;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(200);

        &__top {
            margin-bottom: rem(40);
            display: flex;
            align-items: flex-start;
        }

        &__header {
            margin-bottom: 0;
            min-width: rem(246);
        }

        &__info {
            padding-top: rem(20);
        }

        &__user {
            font-size: rem(20);
            line-height: rem(23);
            margin-bottom: rem(2);
        }

        &__content {
            width: rem(462);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(160);
        min-height: 100vh;

        &__top {
            margin-bottom: rem(48);
        }

        &__header {
            width: rem(336);
        }

        &__user {
            font-size: rem(22);
            line-height: rem(32);
        }

        &__content {
            width: rem(760);
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {
        padding-top: rem(200);

        &__top {
            margin-bottom: rem(72);
        }

        &__header {
            width: rem(420);
        }

        &__content {
            width: rem(870);
        }
    }

    @media (min-width: 2000px) and (min-height: $height) {
        padding: rem(100) 0;
        display: flex;
        flex-direction: column;

        &__wrap {
            margin: auto 0;
        }
    }
}

.backoffice-table {
    font-size: rem(14);
    line-height: rem(22);
    padding: rem(30) 0;
    border-top: 1px solid rgba(255,255,255,0.15);
    border-bottom: 1px solid rgba(255,255,255,0.15);

    &__head {
        display: none;
    }

    &__col {
        margin-bottom: rem(20);

        &:last-child {
            margin-bottom: 0;
        }

        &:before {
            color: rgba(255,255,255,0.3);
            content: attr(data-head);
            font-weight: 800;
            font-size: rem(12);
            line-height: rem(14);
            letter-spacing: 0.14rem;
            text-transform: uppercase;
            font-family: $font-family-secondary;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(15);
        line-height: rem(22);

        &__col {
            margin-bottom: rem(24);
            display: flex;
            align-items: flex-start;

            &:last-child {
                margin-bottom: 0;
            }

            &:before {
                line-height: rem(24);
                width: rem(124);
                margin-bottom: 0;
                flex-shrink: 0;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: table;
        width: 100%;
        padding: 0;
        border-top: none;
        border-bottom: none;

        &__head {
            display: table-row;
            color: rgba(255,255,255,0.3);
            font-weight: 800;
            font-size: rem(12);
            line-height: rem(14);
            letter-spacing: 0.14rem;
            text-transform: uppercase;
            font-family: $font-family-secondary;

            .backoffice-table__col {
                padding-top: 0;
                padding-bottom: rem(15);
            }
        }

        &__row {
            display: table-row;
        }

        &__col {
            margin-bottom: 0;
            padding: rem(24) rem(40) rem(24) 0;
            display: table-cell;
            border-bottom: 1px solid rgba(255,255,255,0.15);

            &:last-child {
                padding-right: 0;
            }

            &:before {
                display: none;
            }
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {
        font-size: rem(16);
        line-height: rem(24);

        &__col {

            &:nth-child(1) {
                width: rem(74);
            }

            &:nth-child(2) {
                width: rem(350);
            }

            &:nth-child(3) {
                padding-right: rem(76);
            }
        }
    }
}

.color-white-80 {
    color: rgba(255,255,255,0.8);
}

@keyframes moveRound {
    from {
        transform: translateY(0);
    }

    50% {
        transform: translateY(10px);
    }

    to {
        transform: translateY(0);
    }
}

@keyframes moveCube {
    from {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }

    to {
        transform: translateY(0);
    }
}

@keyframes mysteryDataVisible {
    from {
        opacity: 0;
    }

    75% {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes mysteryItem {
    from {
        opacity: 0;
        visibility: hidden;
        transform: scale(0.1);
    }

    50% {
        opacity: 0;
        visibility: hidden;
        transform: scale(0.1);
    }

    to {
        opacity: 1;
        visibility: visible;
        transform: scale(1);
    }
}

@keyframes cubeInside {
    from {
        opacity: 1;
        visibility: visible;
        transform: scale(1);
    }

    75% {
        opacity: 1;
        visibility: visible;
        transform: scale(1);
    }

    to {
        opacity: 0;
        visibility: hidden;
        transform: scale(2);
    }
}

@keyframes sideLeft {

    from {
        transform: translate(0,0) scale(1) rotate(0deg);
        opacity: 1;
        visibility: visible;
    }

    70% {
        transform: translate(-10px,10px) scale(1) rotate(0deg);
    }

    95% {
        opacity: 1;
        visibility: visible;
    }

    to {
        transform: translate(-1200px,1200px) scale(4) rotate(90deg);
        opacity: 0;
        visibility: hidden;
    }
}

@keyframes sideTop {

    from {
        transform: translate(0,0);
        opacity: 1;
        visibility: visible;
    }

    70% {
        transform: translate(-10px,-10px) scale(1) rotate(0deg);
    }

    95% {
        opacity: 1;
        visibility: visible;
    }


    to {
        transform: translate(1200px,-800px) scale(4) rotate(90deg);
        opacity: 0;
        visibility: hidden;
    }
}

@keyframes sideCenter{

    from {
        transform: translate(-0,0);
        opacity: 1;
        visibility: visible;
    }

    70% {
        transform: translate(10px,10px) scale(1) rotate(0deg);
    }

    95% {
        opacity: 1;
        visibility: visible;
    }


    to {
        transform: translate(1200px,1200px) scale(4) rotate(90deg);
        opacity: 0;
        visibility: hidden;
    }
}

@keyframes rotation{

    from {
        transform: rotate(0);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes rotationInvert{

    from {
        transform: rotate(360deg);
    }

    to {
        transform: rotate(0deg);
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
